QwtPickerMachine(3)

NAME
QwtPickerMachine -

A state machine for QwtPicker selections.

SYNOPSIS

#include <qwt_picker_machine.h>

Inherited by QwtPickerClickPointMachine, QwtPickerClickRectMachine, QwtPickerDragPointMachine, QwtPickerDragRectMachine, QwtPickerPolygonMachine, and QwtPickerTrackerMachine.

  Public Types
enum SelectionType { NoSelection = -1, PointSelection, RectSelection, PolygonSelection }
enum Command { Begin, Append, Move, Remove, End }

  Public Member Functions
QwtPickerMachine (SelectionType)
virtual ~QwtPickerMachine ()
virtual QList< Command > transition (const QwtEventPattern &, const QEvent *)=0
void reset ()
int state () const
void setState (int)
SelectionType selectionType () const

Detailed Description

A state machine for QwtPicker selections. QwtPickerMachine accepts key and mouse events and translates them into selection commands.

See also:
    QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode

Member Enumeration Documentation

  enum QwtPickerMachine::Command

Commands - the output of a state machine.

  enum QwtPickerMachine::SelectionType Type of a selection.

See also:
    selectionType()

Enumerator:

NoSelection
    The state machine not usable for any type of selection.

PointSelection
    The state machine is for selecting a single point.

RectSelection
    The state machine is for selecting a rectangle (2 points).

PolygonSelection
    The state machine is for selecting a polygon (many points).

Constructor & Destructor Documentation

  QwtPickerMachine::QwtPickerMachine (SelectionTypetype)

Constructor.

  QwtPickerMachine::~QwtPickerMachine () [virtual]

Destructor.

Member Function Documentation

  void QwtPickerMachine::reset ()

Set the current state to 0.

  QwtPickerMachine::SelectionType QwtPickerMachine::selectionType () const

Return the selection type.

  void QwtPickerMachine::setState (intstate)

Change the current state.

  int QwtPickerMachine::state () const

Return the current state.

  virtual QList<Command> QwtPickerMachine::transition (const QwtEventPattern &, const QEvent *) [pure virtual]

Transition.

Implemented in QwtPickerTrackerMachine, QwtPickerClickPointMachine, QwtPickerDragPointMachine, QwtPickerClickRectMachine, QwtPickerDragRectMachine, and QwtPickerPolygonMachine.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.